Debian Bug report logs - #216092
manpages-dev: getsockopt(2) has incomplete information regarding EINVAL

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: glove@earthling.net

Date: Thu, 16 Oct 2003 14:03:06 UTC

Severity: normal

Tags: fixed-upstream, upstream

Found in version 1.60-3

Fixed in version manpages/3.12-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#216092; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to glove@earthling.net:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Grigis <glove@earthling.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: getsockopt(2) has incomplete information regarding EINVAL
Date: Thu, 16 Oct 2003 15:58:24 +0200
Package: manpages-dev
Version: 1.60-3
Severity: normal

The current manpages indicates the following regarding the EINVAL error:

       EINVAL optlen invalid in setsockopt

In some cases, the error can also be returned for invalid values of optval.
In particular, when using the IP_ADD_MEMBERSHIP option, EINVAL is returned
when the provided multicast address (struct ip_mreqn's imr_multiaddr field)
is invalid (not within the 224.0.0.0-239.255.255.255 range).

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux mooch 2.4.22-mooch.2 #1 Mon Sep 29 16:29:47 CEST 2003 i686
Locale: LANG=en_US.ISO-8859-1, LC_CTYPE=en_US.ISO-8859-1

Versions of packages manpages-dev depends on:
ii  manpages                      1.60-3     Manual pages about using a GNU/Lin

-- no debconf information




Tags added: upstream Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#216092; Package manpages-dev. (Tue, 28 Oct 2008 18:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk.manpages@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. (Tue, 28 Oct 2008 18:42:02 GMT) Full text and rfc822 format available.

Message #12 received at 216092@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@googlemail.com>
To: 216092@bugs.debian.org, Christian Grigis <glove@earthling.net>, debc <control@bugs.debian.org>, glove@grigri.org
Subject: Re: manpages-dev: getsockopt(2) has incomplete information regarding EINVAL
Date: Tue, 28 Oct 2008 13:38:02 -0500
tags 216092 fixed-upstream
thanks

Minor miracle: sometimes I look at old Debian bug reports.

> The current manpages indicates the following regarding the EINVAL error:
>
>        EINVAL optlen invalid in setsockopt
>
> In some cases, the error can also be returned for invalid values of optval.
> In particular, when using the IP_ADD_MEMBERSHIP option, EINVAL is returned
> when the provided multicast address (struct ip_mreqn's imr_multiaddr field)
> is invalid (not within the 224.0.0.0-239.255.255.255 range).

Okay -- I verified by reading the relevant source.

I've applied patches to ip.7 and getsockopt.2, as below.  The changes
will be in man-pages-3.12.  Sorry it took so long for someone to respond
to your report Christian.

Cheers,

Michael

--- a/man7/ip.7
+++ b/man7/ip.7
@@ -648,7 +648,12 @@ struct ip_mreqn {
 .I imr_multiaddr
 contains the address of the multicast group the application
 wants to join or leave.
-It must be a valid multicast address.
+It must be a valid multicast address
+.\" (i.e., within the 224.0.0.0-239.255.255.255 range)
+(or
+.BR setsockopt (2)
+fails with the error
+.BR EINVAL ).
 .I imr_address
 is the address of the local interface with which the system
 should join the multicast

--- a/man2/getsockopt.2
+++ b/man2/getsockopt.2
@@ -154,6 +154,12 @@ is not in a valid part of the process address space.
 .I optlen
 invalid in
 .BR setsockopt ().
+In some cases this error can also occur for an invalid value in
+.IR optval
+(e.g., for the
+.B IP_ADD_MEMBERSHIP
+option described in
+.BR ip (7)).
 .TP
 .B ENOPROTOOPT
 The option is unknown at the level indicated.

-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
git://git.kernel.org/pub/scm/docs/man-pages/man-pages.git
man-pages online: http://www.kernel.org/doc/man-pages/online_pages.html
Found a bug? http://www.kernel.org/doc/man-pages/reporting_bugs.html




Tags added: fixed-upstream Request was from Michael Kerrisk <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Tue, 28 Oct 2008 18:42:04 GMT) Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. (Wed, 19 Nov 2008 10:17:43 GMT) Full text and rfc822 format available.

Notification sent to glove@earthling.net:
Bug acknowledged by developer. (Wed, 19 Nov 2008 10:18:32 GMT) Full text and rfc822 format available.

Message #19 received at 216092-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 216092-close@bugs.debian.org
Subject: Bug#216092: fixed in manpages 3.12-1
Date: Wed, 19 Nov 2008 09:32:03 +0000
Source: manpages
Source-Version: 3.12-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.12-1_all.deb
  to pool/main/m/manpages/manpages-dev_3.12-1_all.deb
manpages_3.12-1.diff.gz
  to pool/main/m/manpages/manpages_3.12-1.diff.gz
manpages_3.12-1.dsc
  to pool/main/m/manpages/manpages_3.12-1.dsc
manpages_3.12-1_all.deb
  to pool/main/m/manpages/manpages_3.12-1_all.deb
manpages_3.12.orig.tar.gz
  to pool/main/m/manpages/manpages_3.12.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 216092@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 19 Nov 2008 10:23:42 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.12-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 216092
Changes: 
 manpages (3.12-1) unstable; urgency=low
 .
   * New upstream release
     . Improve getsockopt(2) and ip(7) (closes: Bug#216092)
   * Don't distribute the following manpages since they are also provided
     by glibc-doc:
     . pthread_attr_destroy(3)
     . pthread_attr_getdetachstate(3)
     . pthread_attr_getscope(3)
     . pthread_attr_init(3)
     . pthread_attr_setdetachstate(3)
     . pthread_attr_setscope(3)
     . pthread_create(3)
     . pthread_detach(3)
     . pthread_equal(3)
     . pthread_exit(3)
     . pthread_join(3)
     . pthread_self(3)
Checksums-Sha1: 
 1160a23af6a821ca718a4b709d63143c709a3760 964 manpages_3.12-1.dsc
 f86f996287e9785d5f3d5d7e9b8314a659b02b10 1483798 manpages_3.12.orig.tar.gz
 98014bb42f2b98bc66a6e31576502a894f78488b 47145 manpages_3.12-1.diff.gz
 f0c45b6e79153cbfecebae532fe1f440aa79527f 639286 manpages_3.12-1_all.deb
 8ad58650a28e09ee6ef559729bfda4e69b921a4c 1511394 manpages-dev_3.12-1_all.deb
Checksums-Sha256: 
 53c46179bbf61b5db1e4fd0d9ebf8466405e2c0e26bbf54ffcdea8e48acd4639 964 manpages_3.12-1.dsc
 3e3053ee58e49b22e7636eae192d163ae6f32b0e3f0274a44d53d483256b10b3 1483798 manpages_3.12.orig.tar.gz
 0b7ace6e63307b6c8bafcd20c5db6923c712fdb89497f3627a3346e0c2a69b14 47145 manpages_3.12-1.diff.gz
 aec9f37decbe4f50cd6992ee046cd4650b3794a4d27a47b22680abebfe2d4adf 639286 manpages_3.12-1_all.deb
 0c38fb5aff9b426332e09b76b787381737e0e9b756f755c5108c4edf178bd3e7 1511394 manpages-dev_3.12-1_all.deb
Files: 
 5b18299947bdc543d4068f0584a06e07 964 doc important manpages_3.12-1.dsc
 073aeed0447efb9a75319b85a7c92e36 1483798 doc important manpages_3.12.orig.tar.gz
 931aaa41fa2f70c145553cd3e5874007 47145 doc important manpages_3.12-1.diff.gz
 2bdddcaf8aabe2eb6d24a87fe6d8656e 639286 doc important manpages_3.12-1_all.deb
 6598b1e0ac7de772906cb842c57c91a8 1511394 doc optional manpages-dev_3.12-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJI9wwW5ql+IAeqTIRAp7OAKCILSs+mo5i5EgI/U5atHqG4AL9tQCgkEjX
nUUyRL/6pBBpepqlIDqOdZ0=
=Lrdn
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Feb 2009 08:42:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:23:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.